vars:
  # Default values for configuration of a STARTX cluster
  # see values.yaml for explanation on each params
  context: &context
    scope: "{[% lookup('vars', 'sx_cluster_config_scope') | default('myscope') %]}"
    cluster: "{[% lookup('vars', 'sx_cluster_config_name') | default('mycluster') %]}"
    environment: "{[% lookup('vars', 'sx_cluster_config_environment') | default('myenv') %]}"
    version: "{[% lookup('vars', 'sx_cluster_config_version') | default('0.0.1') %]}"
    component: storage
    app: startx-storage
  storageClasses:
  - id: startx-aws-generic-retain
    name: startx-aws-generic-retain
    provisioner: "ebs.csi.aws.com"
    parameters: |
      encrypted: "false"
      type: gp3
    reclaimPolicy: Retain
    allowVolumeExpansion: true
    volumeBindingMode: WaitForFirstConsumer
  - id: startx-aws-generic-delete
    name: startx-aws-generic-delete
    provisioner: "ebs.csi.aws.com"
    parameters: |
      encrypted: "false"
      type: gp2
    reclaimPolicy: Delete
    allowVolumeExpansion: true
    volumeBindingMode: WaitForFirstConsumer
  - id: startx-aws-fast-retain
    name: startx-aws-fast-retain
    provisioner: "ebs.csi.aws.com"
    parameters: |
      encrypted: "false"
      type: io1
      iopsPerGB: "10"
    reclaimPolicy: Retain
    allowVolumeExpansion: true
    volumeBindingMode: WaitForFirstConsumer
  - id: startx-aws-fast-delete
    name: startx-aws-fast-delete
    provisioner: "ebs.csi.aws.com"
    parameters: |
      encrypted: "false"
      type: io1
      iopsPerGB: "10"
    reclaimPolicy: Delete
    allowVolumeExpansion: true
    volumeBindingMode: WaitForFirstConsumer
  - id: startx-aws-slow-retain
    name: startx-aws-slow-retain
    provisioner: "ebs.csi.aws.com"
    parameters: |
      encrypted: "false"
      type: sc1
    reclaimPolicy: Retain
    allowVolumeExpansion: true
    volumeBindingMode: WaitForFirstConsumer
  - id: startx-aws-slow-delete
    name: startx-aws-slow-delete
    provisioner: "ebs.csi.aws.com"
    parameters: |
      encrypted: "false"
      type: sc1
    reclaimPolicy: Delete
    allowVolumeExpansion: true
    volumeBindingMode: WaitForFirstConsumer

overrides: {}